case $CONFIG in
'')	 if test -r ../config.sh
	 then
	    . ../config.sh ;
	 else
	    spitshell=cat
	    package=FastIRCd
	 fi
	 ;;
esac

echo "Extracting $package version.c..."

if test -r version.c
then
   generation=`sed -n 's/^char \*generation = \"\(.*\)\";/\1/p' < version.c`
   if test ! "$generation" ; then generation=0; fi
else
   generation=0
fi

generation=`expr $generation + 1`


creation=`date | \
awk '{if (NF == 6) \
         { print $1 " "  $2 " " $3 " "  $6 " at " $4 " " $5 } \
else \
         { print $1 " "  $2 " " $3 " " $7 " at " $4 " " $5 " " $6 }}'`

$spitshell >version.c <<!SUB!THIS!
/*
**   FastIRCd - Internet Relay Chat Daemon, src/version.c
**   Copyright (C) 1990 Chelsea Ashley Dyerman
**
**   Rewritten for FastIRCd
**   Copyright (C) 2000
**
**   This program is free software; you can redistribute it and/or modify
**   it under the terms of the GNU General Public License as published by
**   the Free Software Foundation; either version 1, or (at your option)
**   any later version.
**
**   This program is distributed in the hope that it will be useful,
**   but WITHOUT ANY WARRANTY; without even the implied warranty of
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**   GNU General Public License for more details.
**
**   You should have received a copy of the GNU General Public License
**   along with this program; if not, write to the Free Software
**   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


/*
 * This file is generated by version.c.SH. Any changes made will go away.
 */

#include "struct.h"
#include "version.h"
#include "common.h"

char *generation = "$generation";
char *creation = "$creation";
#define IRCDTOTALVERSION BASE_VERSION MAJOR_RELEASE MINOR_RELEASE REVISION RELEASE_NAME BETA_RELEASE PATCH1 PATCH2 PATCH3 PATCH4 PATCH5 PATCH6 PATCH7 PATCH8 PATCH9
char *version = IRCDTOTALVERSION;


char *dalinfotext[] =
    {
	 "Based on the original code written by Jarkko Oikarinen",
	 "Copyright 1988, 1989, 1990, 1991 University of Oulu, Computing Center",
	 "",
	 "The following people have contributed code, or support",
	 "to the dfhybrid team:",
         "",
         "FastIRCd(TM) Team:",
	 "SystemX             Derek Gordon        Derek@fastirc.net",
         "Slash               Brian Kruszewski     webmaster@xtremegamez.net",
	 "",
         "IRCd Contributors In General:",
	 "Dakal               David Knepper       dakal@dal.net",
	 "Dalvenjah           Sven Nielsen        dalvenjah@dal.net",
	 "Epiphani            Aaron Wiebe         epiphani@solarz.net",
	 "lucas               Lucas Madar         lucas@negaverse.org",
	 "MSofty              Mark Salerno        msofty@dal.net",
	 "Raistlin_Mejere     Jason Slagle        raistlin@bahamut.net",
	 "Rakarra             Ian Westcott        rakarra@dal.net",
	 "White_Dragon        Chip Norkus         wd@dal.net",
	 "",
	 "The following people have contributed ideas or testing to the",
	 "dfhybrid project:",
	 "driz                David Friedman      driz@dal.net",
	 "Kevin               Kevin Turner        kevin@dal.net",
	 "",
	 "",
	 "Developers and Contributors for previous versions:",
	 "",
	 "Chris A. Bongaarts  Chris Behrens       Diane Bruce",
	 "Johannes Erdfelt    Roger Espel Llima   Jon Lusky",
	 "Michael Pearce      Brian Kraemer       Joan Touzet",
	 "Chris Portman       Keith Fralick       Sam Noble",
	 "Taner Halicioglu    Chris Behrens       Darren Reed",
	 "Markku Savela       Greg Lindahl        Jarkko Oikarinen",
	 "Armin Gruner        Matthew Green       Chuck Kane",
	 "Matt Lyle           Vesa Ruokonen       Nicolas PIOCH",
	 "Stellan Klebom      Dan Goodwin         Mike Bolotski",
	 "Ian Frechette       Markku Jarvinen     Kimmo Suominen",
	 "Jeff Trim           Vijay Subramaniam   Karl Kleinpaste",
	 "Bill Wisner         Tom Davis           Hugo Calendar",
	 "Tom Hopkins         Stephen van den Berg",
	 "Bo Adler            Michael Sandrof     Jon Solomon",
	 "Jan Peterson        Helen Rose          Paul Graham",
        0,
    };


/*
**
** No Name or entry in this list Should EVER Be Removed - HAMLET
**
*/

char *credittext[] =
    {
	"-------------- " IRCDTOTALVERSION " Credits --------------",
	"",
	"   I would like to thank: ",
	"",
	"   All of the people that work with Ultimate IRCd",
	"   For teaching me some stuff as well as givin me tips",
	"   and for making us want to go on developing the IRCd",
	"   and make it better.",
	"----------------------------------------------------------",
	"",
	"  FastIRCd, series NADIA, is dedicated to Nadia! My X",
	"  She has always been there for me.",
        "  She was more than I could ever ask for.",
	"  For always cheering me up when i am down...,"
	"  for being the light in my life....",
	"  And much much more!",
	"  But enough of that, I am single, come get me girls!",
	"",
	"----------------------------------------------------------",
        0,
    };

char *unrealinfotext[] =
{
	"-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=",
	"Anyone who I forgot I thank as well. UnrealIRCd",
	"is based off Elite-2.0-b-13 made by Potvin under the GPL",
	"*** No entry in this list should ever be removed. ***",
	"-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=",
        "All of you (to many to name), Thanks for all your help and support",
        "You have made this the most successful IRCd and have really",
        "opened my eyes to a new world.  I have been depressed lately",
        "and I find this IRCd coding as a high for me because its not",
        "just for me but for everyone out there!",
	"------------------------------------------------------",
	"This IRCd version is dedicated to Everyone",
	"for the reason for many unknown .. but it is because I have",
	"had problems and you guys have been there to cheer me up.",
	0
};

!SUB!THIS!
